Kwalitee Issues


Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.



Split the distribution, or fix the version numbers to make them consistent (use the highest version number to avoid version downgrade).

Error: 0.03,0.07,0.08,0.12,1.21


If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.


Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.


Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.



This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.


Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.


Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).


Name Abstract Version View
NoSQL::PL2SQL Relational Database Persistence for Perl Objects 1.21 metacpan
NoSQL::PL2SQL::DBI Base Perl RDB driver for NoSQL::PL2SQL 0.12 metacpan
NoSQL::PL2SQL::DBI::MySQL MySQL driver for NoSQL::PL2SQL metacpan
NoSQL::PL2SQL::DBI::SQLite SQLite driver for NoSQL::PL2SQL metacpan
NoSQL::PL2SQL::Node Private Perl extension for NoSQL::PL2SQL 0.07 metacpan
NoSQL::PL2SQL::Object Private Perl extension for NoSQL::PL2SQL 0.08 metacpan
NoSQL::PL2SQL::Perldata Private Perl extension for NoSQL::PL2SQL 0.03 metacpan


Name File View
NoSQL::PL2SQL::Clone lib/NoSQL/PL2SQL/ metacpan
NoSQL::PL2SQL::DBI::MySQL::Schema lib/NoSQL/PL2SQL/DBI/ metacpan
NoSQL::PL2SQL::DBI::MySQL::Schema::index lib/NoSQL/PL2SQL/DBI/ metacpan
NoSQL::PL2SQL::DBI::MySQL::Schema::index::column lib/NoSQL/PL2SQL/DBI/ metacpan
NoSQL::PL2SQL::DBI::MySQL::Schema::table lib/NoSQL/PL2SQL/DBI/ metacpan
NoSQL::PL2SQL::DBI::MySQL::Schema::table::column lib/NoSQL/PL2SQL/DBI/ metacpan
NoSQL::PL2SQL::DBI::Null lib/NoSQL/PL2SQL/ metacpan
NoSQL::PL2SQL::DBI::SQLite::Schema lib/NoSQL/PL2SQL/DBI/ metacpan
NoSQL::PL2SQL::DBI::SQLite::Schema::index lib/NoSQL/PL2SQL/DBI/ metacpan
NoSQL::PL2SQL::DBI::SQLite::Schema::index::column lib/NoSQL/PL2SQL/DBI/ metacpan
NoSQL::PL2SQL::DBI::SQLite::Schema::table lib/NoSQL/PL2SQL/DBI/ metacpan
NoSQL::PL2SQL::DBI::SQLite::Schema::table::column lib/NoSQL/PL2SQL/DBI/ metacpan
NoSQL::PL2SQL::DBI::Schema lib/NoSQL/PL2SQL/ metacpan
NoSQL::PL2SQL::Lock lib/NoSQL/PL2SQL/ metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan